Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.mergejoin
Class MergeJoinData

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepData
          org.pentaho.di.trans.steps.mergejoin.MergeJoinData

All Implemented Interfaces:
  StepDataInterface

    public class MergeJoinData

extends BaseStepData
implements StepDataInterface

Since:
  24-nov-2005
Author:
  Biswapesh

Field Summary
`int[]` | `keyNrs1`
`int[]` | `keyNrs2`
`Object[]` | `one`
`Object[]` | `one_dummy`
`Object[]` | `one_next`
`boolean` | `one_optional`
`org.pentaho.di.core.row.RowMetaInterface` | `oneMeta`
`org.pentaho.di.core.RowSet` | `oneRowSet`
`List<Object[]>` | `ones`
`org.pentaho.di.core.row.RowMetaInterface` | `outputRowMeta`
`Object[]` | `two`
`Object[]` | `two_dummy`
`Object[]` | `two_next`
`boolean` | `two_optional`
`org.pentaho.di.core.row.RowMetaInterface` | `twoMeta`
`org.pentaho.di.core.RowSet` | `twoRowSet`
`List<Object[]>` | `twos`

Fields inherited from interface org.pentaho.di.trans.step.StepDataInterface
`STATUS_DISPOSED, STATUS_EMPTY, STATUS_FINISHED, STATUS_HALTED, STATUS_HALTING, STATUS_IDLE, STATUS_INIT, STATUS_PAUSED, STATUS_RUNNING, STATUS_STOPPED`

Constructor Summary
`MergeJoinData()` Default initializer

Method Summary

Methods inherited from class org.pentaho.di.trans.step.BaseStepData
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, isStopped, setStatus`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.pentaho.di.trans.step.StepDataInterface
`getStatus, isDisposed, isEmpty, isFinished, isIdle, isInitialising, isRunning, setStatus`

Field Detail

### one

    public Object[] one

### two

    public Object[] two

### oneMeta

    public org.pentaho.di.core.row.RowMetaInterface oneMeta

### twoMeta

    public org.pentaho.di.core.row.RowMetaInterface twoMeta

### outputRowMeta

    public org.pentaho.di.core.row.RowMetaInterface outputRowMeta

### one_dummy

    public Object[] one_dummy

### two_dummy

    public Object[] two_dummy

### ones

    public List<Object[]> ones

### twos

    public List<Object[]> twos

### one_next

    public Object[] one_next

### two_next

    public Object[] two_next

### one_optional

    public boolean one_optional

### two_optional

    public boolean two_optional

### keyNrs1

    public int[] keyNrs1

### keyNrs2

    public int[] keyNrs2

### oneRowSet

    public org.pentaho.di.core.RowSet oneRowSet

### twoRowSet

    public org.pentaho.di.core.RowSet twoRowSet

Constructor Detail

### MergeJoinData

    public MergeJoinData()

  Default initializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD